FunctionDescription (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.system
Class FunctionDescription

    java.lang.Object
      org.maltparser.core.feature.system.FunctionDescription

    public class FunctionDescription

extends Object

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`FunctionDescription(String name, Class<?> functionClass, boolean hasSubfunctions, boolean hasFactory)`

Method Summary
`boolean` | `equals(Object obj)`
`Class<?>` | `getFunctionClass()`
`String` | `getName()`
`boolean` | `isHasFactory()`
`boolean` | `isHasSubfunctions()`
`Function` | `newFunction(ConfigurationRegistry registry)`
`void` | `setFunctionClass(Class<?> functionClass)`
`void` | `setHasFactory(boolean hasFactory)`
`void` | `setHasSubfunctions(boolean hasSubfunctions)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionDescription

    public FunctionDescription(String name,
                               Class<?> functionClass,
                               boolean hasSubfunctions,
                               boolean hasFactory)

Method Detail

### newFunction

    public Function newFunction(ConfigurationRegistry registry)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### getName

    public String getName()

### setName

    public void setName(String name)

### getFunctionClass

    public Class<?> getFunctionClass()

### setFunctionClass

    public void setFunctionClass(Class<?> functionClass)

### isHasSubfunctions

    public boolean isHasSubfunctions()

### setHasSubfunctions

    public void setHasSubfunctions(boolean hasSubfunctions)

### isHasFactory

    public boolean isHasFactory()

### setHasFactory

    public void setHasFactory(boolean hasFactory)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.